summaryrefslogtreecommitdiffstats
path: root/development/sloccount/sloccount.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/sloccount/sloccount.SlackBuild')
-rw-r--r--development/sloccount/sloccount.SlackBuild65
1 files changed, 65 insertions, 0 deletions
diff --git a/development/sloccount/sloccount.SlackBuild b/development/sloccount/sloccount.SlackBuild
new file mode 100644
index 0000000000..0ecf82bf0e
--- /dev/null
+++ b/development/sloccount/sloccount.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for SLOCcount
+# Written by Aleksandar B. Samardzic <asamardzic@matf.bg.ac.yu>
+# Modified by the SlackBuilds.org project
+
+PRGNAM=sloccount
+VERSION=2.26
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Patching makefile; patch posted upstream, so following line should be
+# (hopefully) deleted sometimes.
+sed -i \
+ -e '40s/$/ $(CFLAGS)/' \
+ -e '73s/share/usr/' \
+ -e '166a\\t$(INSTALL_A_DIR) $(INSTALL_DIR)' \
+ -e '187s/ install_docs//' \
+ makefile
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLCKCFLAGS" make
+make install PREFIX=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README SOURCES TODO sloccount.html table.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz